Manual do PHP
Anterior |  | Próxima

# apc_define_constants

(PECL)

apc_define_constants -- Define um conjunto de constantes para uso posterior e definição em massa

## Descrição

bool apc_define_constants ( string key, array constants [, bool case_sensitive] )

define() é notoriamente lento. Já que o benefício do APC é aumentar a performance de scripts/aplicações, esse mecanismo é disponibilizado para automatizar o processo de definição de constantes em massa.

> Nota: Para remover um conjunto de constantes guardadas (sem limpar o cache inteiro), um array vazio pode ser passado como parâmetro de `constants`, efetivamente limpando os valore(s) guardado(s).

## Parâmetros

`key`

  A `key` serve de nome para a constante sendo guardada. Essa `key` é usada para recuperar as constantes guardadas com apc_load_constants().

`constants`

  Um array associativo de pares `constant_name => value`. O `constant_name` deve serguir as regras normais de nomenclatura de constantes. `value` deve ser um valor escalar (string ou número).

`case_sensitive`

  O comportamento padrão para constantes é ser declarado sensíveis ao caso; ex.: `CONSTANT` e `Constant` representam valores diferentes. Se esse parâmetro tem valor `FALSE` as constantes serão declaradas como símbolos insensíveis ao caso.

## Valores de retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

## Exemplos

Exemplo 1. Exemplo de apc_define_constants()
`<?php $constants = array( 'ONE' => 1, 'TWO' => 2, 'THREE' => 3, ); apc_define_constants('numbers', $constants); apc_load_constants('numbers'); echo ONE, TWO, THREE; ?>`
O exemplo acima irá imprimir:
    123

## Veja também

apc_load_constants()
define()
constant()
Ou a referência de constantes do PHP

Anterior | Principal | Próxima
apc_clear_cache | Acima | apc_delete